be.fgov.ehealth.consultrn._1_0.core

## Class CivilStateType

- java.lang.Object
- - be.fgov.ehealth.consultrn._1_0.core.CivilStateType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2021-10-05T08:07:12+02:00",
                 comments="JAXB RI v2.2.11")
      public class CivilStateType
      extends Object
      implements Serializable

  information about the civilstate of a person (include information about the partner)

  Java class for CivilStateType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CivilStateType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Code" type="{http://www.w3.org/2001/XMLSchema}integer"/>
               <element name="Description" type="{urn:be:fgov:ehealth:commons:1_0:core}LocalisedString" maxOccurs="5" minOccurs="0"/>
               <element name="Localisation" type="{urn:be:fgov:ehealth:consultRN:1_0:core}WhereType" minOccurs="0"/>
               <element name="Partner" type="{urn:be:fgov:ehealth:consultRN:1_0:core}InhabitantType" minOccurs="0"/>
             </sequence>
             <attribute name="ModificationDate" type="{urn:be:fgov:ehealth:consultRN:1_0:core}IncompleteDateType" />
             <attribute name="Origin" type="{urn:be:fgov:ehealth:consultRN:1_0:core}OriginType" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CivilStateType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BigInteger` | `getCode()` Gets the value of the code property.
    `List<LocalisedString>` | `getDescriptions()` Gets the value of the descriptions property.
    `WhereType` | `getLocalisation()` Gets the value of the localisation property.
    `String` | `getModificationDate()` Gets the value of the modificationDate property.
    `OriginType` | `getOrigin()` Gets the value of the origin property.
    `InhabitantType` | `getPartner()` Gets the value of the partner property.
    `void` | `setCode(BigInteger value)` Sets the value of the code property.
    `void` | `setLocalisation(WhereType value)` Sets the value of the localisation property.
    `void` | `setModificationDate(String value)` Sets the value of the modificationDate property.
    `void` | `setOrigin(OriginType value)` Sets the value of the origin property.
    `void` | `setPartner(InhabitantType value)` Sets the value of the partner property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CivilStateType

          public CivilStateType()

  - ### Method Detail

    - #### getCode

          public BigInteger getCode()

      Gets the value of the code property.
      Returns:
        possible object is `BigInteger`

    - #### setCode

          public void setCode(BigInteger value)

      Sets the value of the code property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getDescriptions

          public List<LocalisedString> getDescriptions()

      Gets the value of the descriptions property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the descriptions property.

      For example, to add a new item, do as follows:

              getDescriptions().add(newItem);

      Objects of the following type(s) are allowed in the list `LocalisedString`

    - #### getLocalisation

          public WhereType getLocalisation()

      Gets the value of the localisation property.
      Returns:
        possible object is `WhereType`

    - #### setLocalisation

          public void setLocalisation(WhereType value)

      Sets the value of the localisation property.
      Parameters:
        `value` - allowed object is `WhereType`

    - #### getPartner

          public InhabitantType getPartner()

      Gets the value of the partner property.
      Returns:
        possible object is `InhabitantType`

    - #### setPartner

          public void setPartner(InhabitantType value)

      Sets the value of the partner property.
      Parameters:
        `value` - allowed object is `InhabitantType`

    - #### getModificationDate

          public String getModificationDate()

      Gets the value of the modificationDate property.
      Returns:
        possible object is `String`

    - #### setModificationDate

          public void setModificationDate(String value)

      Sets the value of the modificationDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getOrigin

          public OriginType getOrigin()

      Gets the value of the origin property.
      Returns:
        possible object is `OriginType`

    - #### setOrigin

          public void setOrigin(OriginType value)

      Sets the value of the origin property.
      Parameters:
        `value` - allowed object is `OriginType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.